Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - DeveloperPortals

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Developer Portals

Developer Portal instances.

Get Developer Portal by ID

Get a single developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
allowSubscriptionUpdate
required
boolean

Allow plan changes via portal.

allowSubscriptionsToNonProductionEnvironments
required
boolean

Allow subscriptions to non-production environments.

anonymousAccess
required
boolean

Allow unauthenticated browsing.

customDomainEnabled
required
boolean

Specifies whether custom domain has been enabled for the developer portal.

name
required
string

Human-readable name of the Developer Portal.

showApiOwner
required
boolean

Display the owning organization on API listings.

showMenuIcons
required
boolean

Whether to show icons in the developer portal menu.

status
required
string
Enum: "INACTIVE" "ACTIVE"

ACTIVE or INACTIVE.

token
required
string

Portal API access token.

organization
string <uuid>

Owning organization UUID.

url
string

Public portal URL. For Boomi hosted portals, this field is read-only and derived from portal settings.

customDomain
string

Custom domain configured for this developer portal. If present in update request, certificateComponentId must also be present

portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

SELF_MANAGED or BOOMI_MANAGED.

emailFooter
string

Custom email footer.

object (DevPortalPropertiesDTO)

Appearance and behavior settings.

certificateComponentId
string

The componentId of the certificate in Boomi Integration used for the custom domain. If present in update request, customDomain must also be present.

certificateExpirationDate
string <date-time>

The expiration date of the certificate in Boomi Integration used for the custom domain

id
string <uuid>

The unique ID of the Developer portal

Response samples

Content type
application/json
{
  • "name": "API Shop",
  • "organization": 1,
  • "anonymousAccess": true,
  • "showApiOwner": true,
  • "allowSubscriptionUpdate": true,
  • "allowSubscriptionsToNonProductionEnvironments": true,
  • "showMenuIcons": true,
  • "customDomain": "devportal.mycompany.com",
  • "status": "ACTIVE",
  • "portalType": "BOOMI_MANAGED",
  • "emailFooter": "string",
  • "properties": {
    • "logoFile": "string",
    • "logoFileSmall": "string",
    • "logoFileIco": "string",
    • "colorPrimary": "string",
    • "colorSecondary": "string",
    • "colorMenuText": "string",
    • "colorPrimaryButtonText": "string",
    • "devPortalName": "string",
    • "showApiOwner": true,
    • "allowSubscriptionUpdate": true,
    • "showMenuIcons": true
    },
  • "token": "jk2f982jf29fjsd29uf298j2k",
  • "customDomainEnabled": false,
  • "certificateComponentId": "string",
  • "certificateExpirationDate": "2019-08-24T14:15:22Z",
  • "id": 999
}

Update a Developer Portal

Update a developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
allowSubscriptionUpdate
required
boolean

Allow plan changes via portal.

allowSubscriptionsToNonProductionEnvironments
required
boolean

Allow subscriptions to non-production environments.

anonymousAccess
required
boolean

Allow unauthenticated browsing.

customDomainEnabled
required
boolean

Specifies whether custom domain has been enabled for the developer portal.

name
required
string

Human-readable name of the Developer Portal.

showApiOwner
required
boolean

Display the owning organization on API listings.

showMenuIcons
required
boolean

Whether to show icons in the developer portal menu.

status
required
string
Enum: "INACTIVE" "ACTIVE"

ACTIVE or INACTIVE.

token
required
string

Portal API access token.

organization
string <uuid>

Owning organization UUID.

url
string

Public portal URL. For Boomi hosted portals, this field is read-only and derived from portal settings.

customDomain
string

Custom domain configured for this developer portal. If present in update request, certificateComponentId must also be present

portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

SELF_MANAGED or BOOMI_MANAGED.

emailFooter
string

Custom email footer.

object (DevPortalPropertiesDTO)

Appearance and behavior settings.

certificateComponentId
string

The componentId of the certificate in Boomi Integration used for the custom domain. If present in update request, customDomain must also be present.

certificateExpirationDate
string <date-time>

The expiration date of the certificate in Boomi Integration used for the custom domain

id
string <uuid>

The unique ID of the Developer portal

Responses

Response Schema: application/json
allowSubscriptionUpdate
required
boolean

Allow plan changes via portal.

allowSubscriptionsToNonProductionEnvironments
required
boolean

Allow subscriptions to non-production environments.

anonymousAccess
required
boolean

Allow unauthenticated browsing.

customDomainEnabled
required
boolean

Specifies whether custom domain has been enabled for the developer portal.

name
required
string

Human-readable name of the Developer Portal.

showApiOwner
required
boolean

Display the owning organization on API listings.

showMenuIcons
required
boolean

Whether to show icons in the developer portal menu.

status
required
string
Enum: "INACTIVE" "ACTIVE"

ACTIVE or INACTIVE.

token
required
string

Portal API access token.

organization
string <uuid>

Owning organization UUID.

url
string

Public portal URL. For Boomi hosted portals, this field is read-only and derived from portal settings.

customDomain
string

Custom domain configured for this developer portal. If present in update request, certificateComponentId must also be present

portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

SELF_MANAGED or BOOMI_MANAGED.

emailFooter
string

Custom email footer.

object (DevPortalPropertiesDTO)

Appearance and behavior settings.

certificateComponentId
string

The componentId of the certificate in Boomi Integration used for the custom domain. If present in update request, customDomain must also be present.

certificateExpirationDate
string <date-time>

The expiration date of the certificate in Boomi Integration used for the custom domain

id
string <uuid>

The unique ID of the Developer portal

Request samples

Content type
application/json
{
  • "name": "API Shop",
  • "organization": 1,
  • "anonymousAccess": true,
  • "showApiOwner": true,
  • "allowSubscriptionUpdate": true,
  • "allowSubscriptionsToNonProductionEnvironments": true,
  • "showMenuIcons": true,
  • "customDomain": "devportal.mycompany.com",
  • "status": "ACTIVE",
  • "portalType": "BOOMI_MANAGED",
  • "emailFooter": "string",
  • "properties": {
    • "logoFile": "string",
    • "logoFileSmall": "string",
    • "logoFileIco": "string",
    • "colorPrimary": "string",
    • "colorSecondary": "string",
    • "colorMenuText": "string",
    • "colorPrimaryButtonText": "string"
    },
  • "token": "jk2f982jf29fjsd29uf298j2k",
  • "customDomainEnabled": false,
  • "certificateComponentId": "string",
  • "certificateExpirationDate": "2019-08-24T14:15:22Z",
  • "id": 999
}

Response samples

Content type
application/json
{
  • "name": "API Shop",
  • "organization": 1,
  • "anonymousAccess": true,
  • "showApiOwner": true,
  • "allowSubscriptionUpdate": true,
  • "allowSubscriptionsToNonProductionEnvironments": true,
  • "showMenuIcons": true,
  • "customDomain": "devportal.mycompany.com",
  • "status": "ACTIVE",
  • "portalType": "BOOMI_MANAGED",
  • "emailFooter": "string",
  • "properties": {
    • "logoFile": "string",
    • "logoFileSmall": "string",
    • "logoFileIco": "string",
    • "colorPrimary": "string",
    • "colorSecondary": "string",
    • "colorMenuText": "string",
    • "colorPrimaryButtonText": "string",
    • "devPortalName": "string",
    • "showApiOwner": true,
    • "allowSubscriptionUpdate": true,
    • "showMenuIcons": true
    },
  • "token": "jk2f982jf29fjsd29uf298j2k",
  • "customDomainEnabled": false,
  • "certificateComponentId": "string",
  • "certificateExpirationDate": "2019-08-24T14:15:22Z",
  • "id": 999
}

Delete a Developer Portal

Delete a developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get Developer Portal welcome page

Get raw content of developer portal welcome page.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/octet-stream
string <binary>

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Update Developer Portal welcome page

Write content of developer portal welcome page. Existing content is overwritten.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: multipart/form-data
file
required
string <binary>

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Assign terms of use to a Developer Portal

Assign a terms of use document to this developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

termsOfUse
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Remove terms of use from a Developer Portal

Unassign a terms of use document from this developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

termsOfUse
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

List all Developer Portals

Get a filtered and paged list of all developer portals.

Authorizations:
bearerAuth
query Parameters
text
string
name
string
organization
string <uuid>
status
string
Enum: "INACTIVE" "ACTIVE"
token
string
url
string
portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"
certificateComponentId
string
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (DevPortalDTO)

List of DevPortalDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

Create a new Developer Portal

Create a new developer portal.

Authorizations:
bearerAuth
Request Body schema: application/json
required
allowSubscriptionUpdate
required
boolean

Allow plan changes via portal.

allowSubscriptionsToNonProductionEnvironments
required
boolean

Allow subscriptions to non-production environments.

anonymousAccess
required
boolean

Allow unauthenticated browsing.

customDomainEnabled
required
boolean

Specifies whether custom domain has been enabled for the developer portal.

name
required
string

Human-readable name of the Developer Portal.

showApiOwner
required
boolean

Display the owning organization on API listings.

showMenuIcons
required
boolean

Whether to show icons in the developer portal menu.

status
required
string
Enum: "INACTIVE" "ACTIVE"

ACTIVE or INACTIVE.

token
required
string

Portal API access token.

organization
string <uuid>

Owning organization UUID.

url
string

Public portal URL. For Boomi hosted portals, this field is read-only and derived from portal settings.

customDomain
string

Custom domain configured for this developer portal. If present in update request, certificateComponentId must also be present

portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

SELF_MANAGED or BOOMI_MANAGED.

emailFooter
string

Custom email footer.

object (DevPortalPropertiesDTO)

Appearance and behavior settings.

certificateComponentId
string

The componentId of the certificate in Boomi Integration used for the custom domain. If present in update request, customDomain must also be present.

certificateExpirationDate
string <date-time>

The expiration date of the certificate in Boomi Integration used for the custom domain

id
string <uuid>

The unique ID of the Developer portal

Responses

Response Schema: application/json
allowSubscriptionUpdate
required
boolean

Allow plan changes via portal.

allowSubscriptionsToNonProductionEnvironments
required
boolean

Allow subscriptions to non-production environments.

anonymousAccess
required
boolean

Allow unauthenticated browsing.

customDomainEnabled
required
boolean

Specifies whether custom domain has been enabled for the developer portal.

name
required
string

Human-readable name of the Developer Portal.

showApiOwner
required
boolean

Display the owning organization on API listings.

showMenuIcons
required
boolean

Whether to show icons in the developer portal menu.

status
required
string
Enum: "INACTIVE" "ACTIVE"

ACTIVE or INACTIVE.

token
required
string

Portal API access token.

organization
string <uuid>

Owning organization UUID.

url
string

Public portal URL. For Boomi hosted portals, this field is read-only and derived from portal settings.

customDomain
string

Custom domain configured for this developer portal. If present in update request, certificateComponentId must also be present

portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

SELF_MANAGED or BOOMI_MANAGED.

emailFooter
string

Custom email footer.

object (DevPortalPropertiesDTO)

Appearance and behavior settings.

certificateComponentId
string

The componentId of the certificate in Boomi Integration used for the custom domain. If present in update request, customDomain must also be present.

certificateExpirationDate
string <date-time>

The expiration date of the certificate in Boomi Integration used for the custom domain

id
string <uuid>

The unique ID of the Developer portal

Request samples

Content type
application/json
{
  • "name": "API Shop",
  • "organization": 1,
  • "anonymousAccess": true,
  • "showApiOwner": true,
  • "allowSubscriptionUpdate": true,
  • "allowSubscriptionsToNonProductionEnvironments": true,
  • "showMenuIcons": true,
  • "customDomain": "devportal.mycompany.com",
  • "status": "ACTIVE",
  • "portalType": "BOOMI_MANAGED",
  • "emailFooter": "string",
  • "properties": {
    • "logoFile": "string",
    • "logoFileSmall": "string",
    • "logoFileIco": "string",
    • "colorPrimary": "string",
    • "colorSecondary": "string",
    • "colorMenuText": "string",
    • "colorPrimaryButtonText": "string"
    },
  • "token": "jk2f982jf29fjsd29uf298j2k",
  • "customDomainEnabled": false,
  • "certificateComponentId": "string",
  • "certificateExpirationDate": "2019-08-24T14:15:22Z",
  • "id": 999
}

Response samples

Content type
application/json
{
  • "name": "API Shop",
  • "organization": 1,
  • "anonymousAccess": true,
  • "showApiOwner": true,
  • "allowSubscriptionUpdate": true,
  • "allowSubscriptionsToNonProductionEnvironments": true,
  • "showMenuIcons": true,
  • "customDomain": "devportal.mycompany.com",
  • "status": "ACTIVE",
  • "portalType": "BOOMI_MANAGED",
  • "emailFooter": "string",
  • "properties": {
    • "logoFile": "string",
    • "logoFileSmall": "string",
    • "logoFileIco": "string",
    • "colorPrimary": "string",
    • "colorSecondary": "string",
    • "colorMenuText": "string",
    • "colorPrimaryButtonText": "string",
    • "devPortalName": "string",
    • "showApiOwner": true,
    • "allowSubscriptionUpdate": true,
    • "showMenuIcons": true
    },
  • "token": "jk2f982jf29fjsd29uf298j2k",
  • "customDomainEnabled": false,
  • "certificateComponentId": "string",
  • "certificateExpirationDate": "2019-08-24T14:15:22Z",
  • "id": 999
}

Generate new Developer Portal access token

Generate a new token for a developer portal. The existing token will be overwritten an no longer work!

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
allowSubscriptionUpdate
required
boolean

Allow plan changes via portal.

allowSubscriptionsToNonProductionEnvironments
required
boolean

Allow subscriptions to non-production environments.

anonymousAccess
required
boolean

Allow unauthenticated browsing.

customDomainEnabled
required
boolean

Specifies whether custom domain has been enabled for the developer portal.

name
required
string

Human-readable name of the Developer Portal.

showApiOwner
required
boolean

Display the owning organization on API listings.

showMenuIcons
required
boolean

Whether to show icons in the developer portal menu.

status
required
string
Enum: "INACTIVE" "ACTIVE"

ACTIVE or INACTIVE.

token
required
string

Portal API access token.

organization
string <uuid>

Owning organization UUID.

url
string

Public portal URL. For Boomi hosted portals, this field is read-only and derived from portal settings.

customDomain
string

Custom domain configured for this developer portal. If present in update request, certificateComponentId must also be present

portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

SELF_MANAGED or BOOMI_MANAGED.

emailFooter
string

Custom email footer.

object (DevPortalPropertiesDTO)

Appearance and behavior settings.

certificateComponentId
string

The componentId of the certificate in Boomi Integration used for the custom domain. If present in update request, customDomain must also be present.

certificateExpirationDate
string <date-time>

The expiration date of the certificate in Boomi Integration used for the custom domain

id
string <uuid>

The unique ID of the Developer portal

Response samples

Content type
application/json
{
  • "name": "API Shop",
  • "organization": 1,
  • "anonymousAccess": true,
  • "showApiOwner": true,
  • "allowSubscriptionUpdate": true,
  • "allowSubscriptionsToNonProductionEnvironments": true,
  • "showMenuIcons": true,
  • "customDomain": "devportal.mycompany.com",
  • "status": "ACTIVE",
  • "portalType": "BOOMI_MANAGED",
  • "emailFooter": "string",
  • "properties": {
    • "logoFile": "string",
    • "logoFileSmall": "string",
    • "logoFileIco": "string",
    • "colorPrimary": "string",
    • "colorSecondary": "string",
    • "colorMenuText": "string",
    • "colorPrimaryButtonText": "string",
    • "devPortalName": "string",
    • "showApiOwner": true,
    • "allowSubscriptionUpdate": true,
    • "showMenuIcons": true
    },
  • "token": "jk2f982jf29fjsd29uf298j2k",
  • "customDomainEnabled": false,
  • "certificateComponentId": "string",
  • "certificateExpirationDate": "2019-08-24T14:15:22Z",
  • "id": 999
}

List Developer Portal files

List all uploaded documentation files for this developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
Array
string

Response samples

Content type
application/json
[
  • "string"
]

Upload an image file to a Developer Portal

Upload an image file for use in documentation of a developer portal. Also used to upload logo files that can then be referenced in DevPortalPropertiesDTO. If a file with the same name exists, it will be overwritten.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: multipart/form-data
file
required
string <binary>

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Fetch newer version of certificate

Asynchronously fetch and update the certificate for all developer portals using the given certificate component.

Authorizations:
bearerAuth
query Parameters
certificateComponentId
required
string

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Check if the user can create a new Developer Portal

Check if a new (active) developer portal can be created for the current tenant or if the tier limit has been reached.

Authorizations:
bearerAuth
query Parameters
portalType
string
Default: "SELF_MANAGED"
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

Responses

Response Schema: application/json
canCreateActive
required
boolean

True if creating a new active resource is allowed within the current tier limits.

Response samples

Content type
application/json
{
  • "canCreateActive": true
}

List terms of use assigned to a Developer Portal

Get all terms of use documents that are assigned to this developer portal, including documents marked as default for all developer portals.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

query Parameters
active
boolean

Responses

Response Schema: application/json
Array
active
required
boolean

Whether this terms-of-use document is currently active.

defaultForApiProducts
required
boolean

Default for new API Products.

defaultForDevPortals
required
boolean

Default for portal registration.

name
required
string

Display name of the terms-of-use document.

createdAt
string <date-time>

Timestamp when the document was created.

id
string <uuid>

UUID of the terms-of-use document.

Response samples

Content type
application/json
[
  • {
    • "name": "string",
    • "active": true,
    • "defaultForApiProducts": true,
    • "defaultForDevPortals": true,
    • "createdAt": "2019-08-24T14:15:22Z",
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
]

List terms of use available to assign

Get all available terms of use documents that can be assigned to this developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
Array
active
required
boolean

Whether this terms-of-use document is currently active.

defaultForApiProducts
required
boolean

Default for new API Products.

defaultForDevPortals
required
boolean

Default for portal registration.

name
required
string

Display name of the terms-of-use document.

createdAt
string <date-time>

Timestamp when the document was created.

id
string <uuid>

UUID of the terms-of-use document.

Response samples

Content type
application/json
[
  • {
    • "name": "string",
    • "active": true,
    • "defaultForApiProducts": true,
    • "defaultForDevPortals": true,
    • "createdAt": "2019-08-24T14:15:22Z",
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
]

Download a Developer Portal file

Get content of a previously uploaded developer portal documentation file.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

fileName
required
string

Responses

Response Schema: application/octet-stream
string <binary>

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Delete a Developer Portal file

Delete a previously uploaded developer portal documentation file.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

fileName
required
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Verify CNAME configuration for custom domain

Checks if DNS CNAME record has been correctly configured to alias the custom domain on the given developer portal to the correct devportal domain.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
boolean

Response samples

Content type
application/json
true

Fetch newer version of certificate for developer portal

Fetch newer version of the certificate, if exists, from Boomi Integration. Returns an error if the domain does not match the portal URL.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
allowSubscriptionUpdate
required
boolean

Allow plan changes via portal.

allowSubscriptionsToNonProductionEnvironments
required
boolean

Allow subscriptions to non-production environments.

anonymousAccess
required
boolean

Allow unauthenticated browsing.

customDomainEnabled
required
boolean

Specifies whether custom domain has been enabled for the developer portal.

name
required
string

Human-readable name of the Developer Portal.

showApiOwner
required
boolean

Display the owning organization on API listings.

showMenuIcons
required
boolean

Whether to show icons in the developer portal menu.

status
required
string
Enum: "INACTIVE" "ACTIVE"

ACTIVE or INACTIVE.

token
required
string

Portal API access token.

organization
string <uuid>

Owning organization UUID.

url
string

Public portal URL. For Boomi hosted portals, this field is read-only and derived from portal settings.

customDomain
string

Custom domain configured for this developer portal. If present in update request, certificateComponentId must also be present

portalType
string
Enum: "SELF_MANAGED" "BOOMI_MANAGED"

SELF_MANAGED or BOOMI_MANAGED.

emailFooter
string

Custom email footer.

object (DevPortalPropertiesDTO)

Appearance and behavior settings.

certificateComponentId
string

The componentId of the certificate in Boomi Integration used for the custom domain. If present in update request, customDomain must also be present.

certificateExpirationDate
string <date-time>

The expiration date of the certificate in Boomi Integration used for the custom domain

id
string <uuid>

The unique ID of the Developer portal

Response samples

Content type
application/json
{
  • "name": "API Shop",
  • "organization": 1,
  • "anonymousAccess": true,
  • "showApiOwner": true,
  • "allowSubscriptionUpdate": true,
  • "allowSubscriptionsToNonProductionEnvironments": true,
  • "showMenuIcons": true,
  • "customDomain": "devportal.mycompany.com",
  • "status": "ACTIVE",
  • "portalType": "BOOMI_MANAGED",
  • "emailFooter": "string",
  • "properties": {
    • "logoFile": "string",
    • "logoFileSmall": "string",
    • "logoFileIco": "string",
    • "colorPrimary": "string",
    • "colorSecondary": "string",
    • "colorMenuText": "string",
    • "colorPrimaryButtonText": "string",
    • "devPortalName": "string",
    • "showApiOwner": true,
    • "allowSubscriptionUpdate": true,
    • "showMenuIcons": true
    },
  • "token": "jk2f982jf29fjsd29uf298j2k",
  • "customDomainEnabled": false,
  • "certificateComponentId": "string",
  • "certificateExpirationDate": "2019-08-24T14:15:22Z",
  • "id": 999
}